Subject: Re: [PATCH] pack-objects: move builtin-only code to its own header

From: Junio C Hamano <[email-masked]>
Date: Thu, 27 May 2021 10:30:12 +0900

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> Move the code that's only used in builtin/pack-objects.c to a new
> builtin/pack-objects.h header and out of pack-objects.h.
>
> This fixes an issue where Solaris's SunCC hasn't been able to compile
> git since 483fa7f42d9 (t/helper/test-bitmap.c: initial commit,
> 2021-03-31).
>
> The real origin of that issue is that in 898eba5e630 (pack-objects:
> refer to delta objects by index instead of pointer, 2018-04-14)
> utility functions only needed by builtin/pack-objects.c were added to
> pack-objects.h. Since then the header has been used in a few other
> places, but 483fa7f42d9 was the first time it was used by test helper.

Hmph.  Its good that removing these functions that should not be
called by other people from *.h and move them to their only user
regardless of the Solaris issue.  Sounds good.